$(function () {
    var content = $('.buy-together__content');
    var url = content.data('url');
    var colorItem = '.product__color__item';
    var attrItem = '.product__attribute__item';
    var checkItem = '.product__check__item';
    var loader = $('.buy-together__loader');
    var xhr = _dcs.Xhr(url);

    var getBuy = function (data) {
        $(loader).fadeIn();

        xhr.get({
            id: 'buy-together',
            data: data
        }).done(function (res) {
            content.empty();
            content.append(res);
            $(loader).fadeOut();
        });
    }

    var getParamns = function () {
        var items = $('.product', content);
        var params = {
            item: {},
            items: []
        };

        $(items).each(function (index) {
            var product = {
                id_product: $('[name="id_product"]', this).val() || null,
                id_color: $('[name*="id_color"]:checked', this).val() || null,
                id_variation: $('[name="id_variation"]', this).val() || null,
                selected: $('[name="selected"]', this).is(':checked') ? 1 : 0
            }

            if (index == 0) {
                params.item = product;
            } else {
                params.items.push(product);
            }
        });

        return params;
    }

    $('body').on('change', [colorItem, attrItem, checkItem], function (evt) {
        evt.preventDefault();
        var ele = $(evt.target);
        var parent = $(ele).parents('.product__info');
        var variation = $(parent).find('[name="id_variation"]');

        if ($(ele).is('[name*="id_color"]')) {
            $(variation).val('');
        }

        getBuy(getParamns());
    });

});